import greenfoot.*;

public class Dust extends VisualAffects
{
    int xmove=0;
    int ymove=0;
    GreenfootImage spriteSheet = new GreenfootImage("Dust.png");
    GreenfootImage[] sprites = {new GreenfootImage(getSprite(spriteSheet,0,0,8,8)),new GreenfootImage(getSprite(spriteSheet,0,23,10,34)),new GreenfootImage(getSprite(spriteSheet,0,46,12,59)),new GreenfootImage(getSprite(spriteSheet,0,75,14,89)),new GreenfootImage(getSprite(spriteSheet,0,103,14,117)),new GreenfootImage(getSprite(spriteSheet,0,132,12,136))};
    int iplace=0;
    int timer=-1;
    public Dust(int x, int y){
        xmove=x; 
        ymove=y;
        animation();
    }
    public void act() 
    {
        setLocation(getX()+xmove,getY()+ymove);
        animation();
    }
    public void animation(){
       timer++;
       if (timer>=0)iplace=0;
       if (timer>=5)iplace=1;
       if (timer>=10)iplace=2;
       if (timer>=15)iplace=3;
       if (timer>=20)iplace=4;
       if (timer>=25)iplace=5;
       if (timer>=30)getWorld().removeObject(this);
       GreenfootImage image = new GreenfootImage(sprites[iplace]);
       image.scale(image.getWidth()+8,image.getHeight()+8);
       setImage(image);
    }
}
