import greenfoot.*;

public class EnemySpawn extends Level
{
    String enemy;
    public EnemySpawn(String e){
        enemy=e;
    }
    public void addedToWorld(World world){
        GreenfootImage image = new GreenfootImage(1,1);
        if (getWorld() instanceof LevelEditor){
            image = new GreenfootImage(enemy,12,new java.awt.Color(255,0,255),null);
        }
        setImage(image);
        if (getOneObjectAtOffset(0,0,Terrain.class)!=null){getWorld().removeObject(this);}
    }
    boolean spawned=false;
    public void act() 
    {
        if (getWorld() instanceof XEngine){}else{return;}
        if (spawned==false&&getX()>-10&&getY()>-10&&getX()<getWorld().getWidth()+10&&getY()<getWorld().getHeight()+10){
            ((XEngine)getWorld()).insertEnemy(getX(),getY(),enemy);
            spawned=true;
        }else if(spawned==true&&!(getX()>-200&&getY()>-200&&getX()<getWorld().getWidth()+200&&getY()<getWorld().getHeight()+200)){
            spawned=false;
        }
    } 
    public String getEnemy(){
        return enemy;
    }
}
