import greenfoot.*;
public class FadeOverlay extends Actor
{
    int opacity=255;//Max opacity is 255
    boolean fadeIn=true;//Subtract Opacity
    boolean fadeOut=false;//Increase Opacity
    boolean slowFadeIn=false;
    boolean slowFadeOut=false;
    public void addedToWorld(World world){
        getImage().scale(getWorld().getWidth(),getWorld().getHeight());
    }
    public void act() 
    {
        if (fadeIn==true){opacity-=15;}
        if (fadeOut==true){opacity+=15;}
        if (slowFadeIn==true){opacity--;}
        if (slowFadeOut==true){opacity++;}
        if (opacity>255){opacity=255; resetBooleans();}
        if (opacity<=0){opacity=0; resetBooleans();}
        getImage().setTransparency(opacity);
        setLocation(getWorld().getWidth()/2,getWorld().getHeight()/2);
    }
    public void resetBooleans()
    {
        fadeIn=false;
        fadeOut=false;
        slowFadeOut=false;
        slowFadeIn=false;
    }
    public void fadeIn()
    {
        fadeIn=true;
        fadeOut=false;
        slowFadeIn=false;
        slowFadeOut=false;
    }
    public void fadeOut()
    {
        fadeIn=false;
        fadeOut=true;
        slowFadeIn=false;
        slowFadeOut=false;
    }
    public void slowFadeIn()
    {
        fadeIn=false;
        fadeOut=false;
        slowFadeIn=true;
        slowFadeOut=false;
    }
    public void slowFadeOut()
    {
        fadeIn=false;
        fadeOut=false;
        slowFadeIn=false;
        slowFadeOut=true;
    }
}
