import greenfoot.*;
import java.awt.Color;
import javax.swing.JOptionPane;

public class MainMenu extends World
{
    UserInfo info;
    public MainMenu()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1);
        addObject(new MenuSelection("Game Engine Test","","","XEngine",30,Color.BLACK,Color.YELLOW),250,200);
        if (!isRunningAsApplet()){addObject(new MenuSelection("Level Editor","","","LevelEditor",30,Color.BLACK,Color.YELLOW),250,250);}else{addObject(new MenuSelection("Level Editor","The Level Editor cannot be used due to the inability to save on to\nthe Greenfoot Website. Please play the scenario on the Greenfooot \nEditor in order to use the Level Editor.","","",30,Color.GRAY,Color.GRAY),250,250);}
        if (UserInfo.isStorageAvailable()){
            addObject(new MenuSelection("Options","Click an option, and press the desired key while the\noption is yellow to set a new bind.","","Options",30,Color.BLACK,Color.YELLOW),250,300);
            info = UserInfo.getMyInfo();
        }else{
            addObject(new MenuSelection("Options","The Options Menu cannot be used due to the inability to acces UserInfo.\nPlease log onto a Greenfoot account, or play this scenario in the \nGreenfoot Editor.","","",30,Color.GRAY,Color.GRAY),250,300);
        }
        addObject(new MenuSelection("Credits","||Main Creator||\nEntity1037\n\n||SPECIAL THANKS||\n-Greenfoot Users-\ndanpost\nJetLennit\n\nNote to self: work on credits during game\ndevelopment and not after its completion","","",30,Color.BLACK,Color.YELLOW),250,350);
        Greenfoot.setSpeed(52);
    }
    private boolean isRunningAsApplet(){
        return null != System.getSecurityManager();
    }
    public void act(){
        if (Greenfoot.isKeyDown("d")&&UserInfo.isStorageAvailable()&&JOptionPane.showConfirmDialog(null,"Do you wish to delete all saved data (except score data)?","WARNING",JOptionPane.YES_NO_OPTION)==JOptionPane.YES_OPTION){
            info.setString(0,"");
            info.setString(1,"");
            info.setString(2,"");
            info.setString(3,"");
            info.setString(4,"");
            info.setInt(0,0);
            info.setInt(1,0);
            info.setInt(2,0);
            info.setInt(3,0);
            info.setInt(4,0);
            info.setInt(5,0);
            info.setInt(6,0);
            info.setInt(7,0);
            info.setInt(8,0);
            info.setInt(9,0);
            info.store();
            JOptionPane.showMessageDialog(null,"Data has been deleted!");
        }
    }
}
