import greenfoot.*;

public class SpikeSheet extends Level
{
    int rotation=0;
    public SpikeSheet(int width, int height, int rotate){
        rotation=rotate;
        GreenfootImage image = new GreenfootImage("ImpossibleSpike.png");
        paintImage(width,height,image);
    }
    public void changeTile(int t){
        
    }
    public int getRotation(){return rotation;}
    public void paintImage(int width, int height, GreenfootImage tile)
    {
        tile.rotate(rotation);
        GreenfootImage image = new GreenfootImage(width,height);
        for (int rows=0; rows<height; rows+=tile.getHeight()){
            for(int offset=0; offset<width; offset+=tile.getWidth()) image.drawImage(tile, offset, rows);
        }
        setImage(image);
    }
    public void addedToWorld(World world){
        Actor terrain = getOneIntersectingObject(Level.class);
        if (terrain!=null){getWorld().removeObject(this);}
    }
}
