import greenfoot.*;
import java.util.List;
import java.awt.Color;

public class Brush extends Actor
{
    public Brush(){getImage().setTransparency(100);}
    public void act()
    {
        MouseInfo mouse = Greenfoot.getMouseInfo();
        if (mouse!=null/**&&mouse.getX()>1&&mouse.getX()<getWorld().getWidth()-1&&mouse.getY()>1&&mouse.getY()<getWorld().getHeight()-1*/){
            setLocation(mouse.getX(),mouse.getY());
        }
        changeImage(iplace,type);
    }
    GreenfootImage blank = new GreenfootImage("Blank.png");
    GreenfootImage image;
    UserInfo info = UserInfo.getMyInfo();
    GreenfootImage player;
    public void addedToWorld(World world){/*try{if (System.getSecurityManager()!=null&&info.isStorageAvailable())player=info.getUserImage();}catch(NullPointerException e){}*/player = new GreenfootImage(info.getUserImage());}
    int iplace=1;
    int type=0;
    public void changeImage(int i,int t){
        iplace=i;
        type=t;
        //Set Image
        GreenfootImage image = new GreenfootImage("Blank.png");
        if (i==0){image = new GreenfootImage("Awesome Face.png");}
        if (i==1){image = new GreenfootImage("ImpossibleBlock.png");}
        if (i==2){
            image = new GreenfootImage(50,50);
            image.setColor(Color.BLACK);
            image.fill();
            image.setColor(Color.GREEN);
            image.fillRect(2,2,46,46);
        }
        if (i==3){
            image = new GreenfootImage(25,25);
            image.setColor(Color.WHITE);
            image.fill();
            image.setColor(Color.BLACK);
            image.fillRect(2,2,21,21);
        }
        if (i==4){
            image = new GreenfootImage(25,25);
            image.setColor(Color.BLACK);
            image.fill();
            image.setColor(Color.GREEN);
            image.fillRect(2,2,21,21);
        }
        if (i==5){image = new GreenfootImage("ImpossibleSpike.png");}
        if (i==6){
            image = new GreenfootImage(25,25);
            image.setColor(Color.BLACK);
            image.fill();
            image.setColor(Color.GREEN);
            image.fillRect(2,2,21,21);
            image.drawImage(new GreenfootImage("ImpossibleSpike.png"),0,0);
        }
        if (i==7){
            image = new GreenfootImage(50,50);
            image.setColor(Color.BLACK);
            image.fill();
            image.setColor(Color.YELLOW);
            image.fillRect(2,2,46,46);
        }
        if (i==8){
            image = new GreenfootImage("BossSymbolBlock.png");
            if (type==1)image = new GreenfootImage("SigmaSymbolBlock.png");
            if (player!=null&&type==3)image = player;
        }
        if (i==9){
            image = new GreenfootImage(25,25);
            image.setColor(Color.BLACK);
            image.fill();
            image.setColor(new Color(255,0,255));
            image.fillRect(2,2,21,21);
        }
        //Rotate Image in case of rotational-based types
        if (i==5||i==6){
            if (t==0)setRotation(0);
            if (t==1)setRotation(90);
            if (t==2)setRotation(180);
            if (t==3)setRotation(270);
        }else{setRotation(0);}
        //Hightlight Deletable Class
        Actor terrain = getOneObjectAtOffset(0,0,Terrain.class);
        if (terrain!=null){
            setRotation(0);
            image = new GreenfootImage(terrain.getImage().getWidth(),terrain.getImage().getHeight());
            image.setColor(Color.BLACK);
            image.fill();
            image.setColor(Color.RED);
            image.fillRect(2,2,terrain.getImage().getWidth()-4,terrain.getImage().getHeight()-4);
            setImage(image);
            setLocation(terrain.getX(),terrain.getY());
        }
        setImage(image);
        getImage().setTransparency(120);
    }
}
