import greenfoot.*;

public class Explosion extends VisualAffects
{
    GreenfootImage spriteSheet = new GreenfootImage("Explosion.gif");
    GreenfootImage[] sprites = {new GreenfootImage(getSprite(spriteSheet,14,12,31,28)),new GreenfootImage(getSprite(spriteSheet,37,4,69,36)),new GreenfootImage(getSprite(spriteSheet,79,7,108,31)),new GreenfootImage(getSprite(spriteSheet,123,5,154,32)),new GreenfootImage(getSprite(spriteSheet,5,45,38,72)),new GreenfootImage(getSprite(spriteSheet,45,49,77,72)),new GreenfootImage(getSprite(spriteSheet,93,53,126,69))};
    int iplace=0;
    int timer=-1;
    public Explosion(){
        animation();
    }
    public void act() 
    {
        animation();
    }
    public void animation(){
       timer++;
       if (timer>=0)iplace=0;
       if (timer>=3)iplace=1;
       if (timer>=6)iplace=2;
       if (timer>=9)iplace=3;
       if (timer>=12)iplace=4;
       if (timer>=15)iplace=5;
       if (timer>=18)iplace=6;
       if (timer>=21)getWorld().removeObject(this);
       GreenfootImage image = new GreenfootImage(sprites[iplace]);
       image.scale(image.getWidth()+10,image.getHeight()+10);
       setImage(image);
    }
}
