import greenfoot.*;
import java.awt.Color;
import javax.swing.JOptionPane;

public class KeyBindingSelection extends MouseButtons
{
    String name;
    int size;
    Color normal=Color.WHITE;
    Color highlighted=Color.YELLOW;
    String bind="";
    public KeyBindingSelection(String i,int s, String k){
        name=i;
        size=s;
        bind=k;
    }
    UserInfo info;
    public void act() 
    {
        if (info==null)info=UserInfo.getMyInfo();
        MouseInfo mouse = Greenfoot.getMouseInfo();
        if (mouse!=null&&mouse.getX()>getX()-getImage().getWidth()/2&&mouse.getX()<getX()+getImage().getWidth()/2&&mouse.getY()>getY()-getImage().getHeight()/2&&mouse.getY()<getY()+getImage().getHeight()/2){
            updateImage(highlighted);
        }else{
            updateImage(normal);
        }
        if (Greenfoot.mouseClicked(this)){
            bind=((Options)getWorld()).setBinding(name);
        }
    }
    public void updateImage(Color c){
        setImage(new GreenfootImage(name+" | "+bind,size,c,new Color(0,0,0)));
    }
}
