import greenfoot.*;
import java.awt.Color;

public class Wall extends Level
{
    public Wall(int width, int height){
        GreenfootImage image = new GreenfootImage(25,25);
        image.setColor(Color.WHITE);
        image.fill();
        image.setColor(Color.BLACK);
        image.fillRect(2,2,21,21);
        paintImage(width,height,image);
    }
    public void changeTile(int t){
        
    }
    public void paintImage(int width, int height, GreenfootImage tile)
    {
        GreenfootImage image = new GreenfootImage(width,height);
        for (int rows=0; rows<height; rows+=tile.getHeight()){
            for(int offset=0; offset<width; offset+=tile.getWidth()) image.drawImage(tile, offset, rows);
        }
        setImage(image);
    }
    public void addedToWorld(World world){
        Actor terrain = getOneIntersectingObject(Level.class);
        if (terrain!=null){getWorld().removeObject(this);}
    }
    public void slope(){setRotation(10);}
}
