import greenfoot.*;
import java.util.List;
import java.awt.Color;
import javax.swing.JOptionPane;

public class X extends Players
{
    String world="";
    public X(String w){world=w;}
    
    public void addedToWorld(World world){
        super.addedToWorld(world);
        health = world.getHeight()/2-52;
        getImage().scale(getImage().getWidth()+10,getImage().getHeight()+10);
        setSpeedAlteringValues(0,0);
        //movehold=true;
        setKeyBindings();
        x=13;
        y=21;
    }
    boolean debug=false;
    public void act() 
    {
        if (world.equals("XEngine")){checkpointCheck();}
        //debug cheats
        //if (world.equals("LevelEditor")){
            if (Greenfoot.isKeyDown("m")){debug=true; canCollide=false; gravity=false;}
            if (Greenfoot.isKeyDown("n")){debug=false; canCollide=true; gravity=true;}
        //}
        //everything else
        walking();
        if (!debug){
            buster();
            dashing();
            jumping();
            wallJumping();
            hp();
        }
        physics();
        setLocation(getX()+actualxmove,getY()+actualymove);
        if (debug)onGround=true;
        animation();
        //Sends coordinates to XEngine
        if (world.equals("XEngine")){
            ((XEngine)getWorld()).getCoordinates(getX(),getY());
            //((DebugInfo)getWorld().getObjects(DebugInfo.class).get(0)).giveCollideData(collide);
        }
        if (world.equals("LevelEditor"))((LevelEditor)getWorld()).getCoordinates(getX(),getY());
        //Check if player is dead
        if (die==true){
            getWorld().addObject(new XExplosionGenerator(),getX(),getY());
            ((XEngine)getWorld()).getCoordinates(getWorld().getWidth()/2,getWorld().getHeight()/2); //Sends coordinates to XEngine
            removeThis();
        }
        if (Greenfoot.isKeyDown("space"))JOptionPane.showMessageDialog(null,"Paused");
    }
    
    //Note to self: figure out how to use a sprite sheet               :P
    int iplace = 0;
    double idleTimer=0;
    long walkTimer=0;
    long jumpingTimer=0;
    long recoilTimer=0;
    long shootingTimer=0;
    int chargetinting=1;
    boolean faceLeft=false;
    boolean facedLeft=false;
    int an=0;//animation number of currently playing animation. Animations lower than the current shall not play.
    int actx=300;
    int acty=200;
    GreenfootImage sprites = new GreenfootImage("Xsprites.gif");
    GreenfootImage[] image = {/*idle*/new GreenfootImage("idle1.gif"),new GreenfootImage("idle2.gif"),//0-1
     new GreenfootImage("idle3.gif"),/*walking*/new GreenfootImage(getSprite(sprites,319,19,348,53)),new GreenfootImage(getSprite(sprites,350,19,369,53)),new GreenfootImage(getSprite(sprites,371,18,393,52)),//2-5
     new GreenfootImage(getSprite(sprites,394,19,425,53)),new GreenfootImage(getSprite(sprites,426,20,459,53)),new GreenfootImage(getSprite(sprites,460,20,485,53)),new GreenfootImage(getSprite(sprites,489,19,510,53)),//6-9
     new GreenfootImage(getSprite(sprites,511,18,535,53)),new GreenfootImage(getSprite(sprites,539,19,568,53)),new GreenfootImage(getSprite(sprites,570,20,603,53)),new GreenfootImage(getSprite(sprites,604,20,632,53)),//10-13
     /*jumping*/new GreenfootImage(getSprite(sprites,5,73,28,109)),new GreenfootImage(getSprite(sprites,34,69,48,110)),new GreenfootImage(getSprite(sprites,55,64,73,110)),new GreenfootImage(getSprite(sprites,77,69,99,110)),//14-17
     new GreenfootImage(getSprite(sprites,102,68,128,109)),new GreenfootImage(getSprite(sprites,134,72,157,110)),new GreenfootImage(getSprite(sprites,159,78,188,110)),/*recoil*/new GreenfootImage(getSprite(sprites,10,316,35,352)),//18-21
     new GreenfootImage(getSprite(sprites,39,318,67,351)),new GreenfootImage(getSprite(sprites,72,319,100,352)),new GreenfootImage(getSprite(sprites,105,308,136,356)),new GreenfootImage(getSprite(sprites,139,318,167,352)),//22-25
     new GreenfootImage(getSprite(sprites,172,308,203,356)),new GreenfootImage(getSprite(sprites,207,318,235,352)),new GreenfootImage(getSprite(sprites,240,308,271,356)),new GreenfootImage(getSprite(sprites,275,318,305,352)),//26-29
     new GreenfootImage("Blank.png"),/*idle shooting*/new GreenfootImage(getSprite(sprites,7,167,36,201)),new GreenfootImage(getSprite(sprites,42,167,70,201)),/*walk shooting*/new GreenfootImage(getSprite(sprites,290,71,319,105)),//30-34
     new GreenfootImage(getSprite(sprites,319,70,351,105)),new GreenfootImage(getSprite(sprites,351,71,386,105)),new GreenfootImage(getSprite(sprites,387,72,425,105)),new GreenfootImage(getSprite(sprites,426,72,460,105)),//34-37
     new GreenfootImage(getSprite(sprites,460,71,491,105)),new GreenfootImage(getSprite(sprites,491,70,524,105)),new GreenfootImage(getSprite(sprites,524,71,559,105)),new GreenfootImage(getSprite(sprites,560,72,597,105)),//38-41
     new GreenfootImage(getSprite(sprites,597,71,632,105)),/*jump shooting*/new GreenfootImage(getSprite(sprites,5,121,35,158)),new GreenfootImage(getSprite(sprites,36,117,61,158)),new GreenfootImage(getSprite(sprites,60,112,88,158)),//42-45
     new GreenfootImage(getSprite(sprites,88,117,120,158)),new GreenfootImage(getSprite(sprites,120,116,152,158)),new GreenfootImage(getSprite(sprites,152,120,181,158)),new GreenfootImage(getSprite(sprites,182,126,219,158)),//46-49
     /*dashing*/new GreenfootImage(getSprite(sprites,286,127,316,158)),new GreenfootImage(getSprite(sprites,319,132,357,158)),/*dash shooting*/new GreenfootImage(getSprite(sprites,367,126,405,158)),new GreenfootImage(getSprite(sprites,410,131,460,157)),//50-53
     /*wall jumping*/new GreenfootImage(getSprite(sprites,8,212,33,255)),new GreenfootImage(getSprite(sprites,35,211,62,255)),new GreenfootImage(getSprite(sprites,64,212,92,255)),new GreenfootImage(getSprite(sprites,97,216,127,154)),//54-57
     new GreenfootImage(getSprite(sprites,127,210,154,254)),/*wall jump shooting*/new GreenfootImage(getSprite(sprites,11,264,42,302)),new GreenfootImage(getSprite(sprites,46,260,78,302)),new GreenfootImage(getSprite(sprites,84,259,116,301)),//58-61
     new GreenfootImage(getSprite(sprites,119,263,151,302)),new GreenfootImage(getSprite(sprites,153,162,186,301))};//62-63
    public void animation(){
        int t=0; //(elapsed time)
        int sxa=0;//sprite x adjust(for adjusting the sprite placement)
        int sya=0;//sprite y adjust(for adjusting the sprite placement)
        long currentTime=System.currentTimeMillis();
        //Idle Animation
        if (an==0&&idleTimer!=0)t=(int)(currentTime-idleTimer)/cycleRate;
        if (xmove==0&&onGround==true&&recoil==false&&shootingTimer==0){idleTimer=System.currentTimeMillis();}else{idleTimer=0;}
        if (t>0&&t<300)iplace=0;
        if (t==300)iplace=1;
        if (t==304)iplace=2;
        if (t==308)iplace=1;
        if (t>=312){idleTimer=(int)currentTime; iplace=0;}
        t=0;
        //Idle Shooting Animation
        if (an<=1&&shootingTimer!=0){t=(int)(currentTime-shootingTimer)/cycleRate;}
        if (shoot){shootingTimer=System.currentTimeMillis(); an=1; t=1;}
        if (t>0)iplace=31;
        if (t>=4)iplace=32;
        if (t>=25){shootingTimer=0; an=0;}
        t=0;
        //Walking Animation
        if (an<=2&&walkTimer>0){t=(int)(currentTime-walkTimer)/cycleRate;}
        if (walkTimer==0&&xmove!=0&&onGround==true&&jumpingTimer==0&&dashingTimer==0){walkTimer=currentTime; an=2;}else if(xmove==0||!onGround||jumpingTimer>0||dashingTimer>0){walkTimer=0; t=0; an=0;}
        if (t>0)iplace=3;
        if (t>=4)iplace=4;
        if (t>=8)iplace=5;
        if (t>=12)iplace=6;
        if (t>=16)iplace=7;
        if (t>=20)iplace=8;
        if (t>=24)iplace=9;
        if (t>=28)iplace=10;
        if (t>=32)iplace=11;
        if (t>=36)iplace=12;
        if (t>=40)iplace=13;
        if (t>=44){walkTimer=(currentTime-cycleRate*4); iplace=4;}
        if (iplace>3&&iplace<14&&shootingTimer>0){iplace+=29;}//Use walkshooting sprites in case of shooting
        t=0;
        //Dashing Animation
        if (dashingTimer>0)t=(int)(currentTime-dashingTimer)/cycleRate;
        if (jumpingTimer==0){
            if (t>0)iplace=50;
            if (t>4)iplace=51;
            if (t>45)iplace=50;
            if (shootingTimer>0&&dashingTimer>0)iplace+=2;
            if (t%6==0&&t>4&&dashingTimer>0){
                int xpos=getImage().getWidth()/2;
                if (faceLeft==false)xpos=-xpos;
                getWorld().addObject(new Dust(0,-1),getX()+xpos,getY()+getImage().getHeight()/2);
            }
            if (iplace>=50&&iplace<=53)sya=8;
        }
        t=0;
        //Jumping Animation
        if (jumpingTimer>0&&jumpingTimer<8)jumpingTimer++;
        if (jumpingTimer>8&&jumpingTimer<16)jumpingTimer++;
        if (jumpingTimer>16&&jumpingTimer<24)jumpingTimer++;
        if (onGround==false&&jumpingTimer==0){jumpingTimer++; iplace=14;}
        if (onGround==false&&jumpTimer==0&&jumpingTimer==0&&iplace!=3)jumpingTimer=8;
        if (onGround==false&&jumpTimer==0&&jumpingTimer==0&&iplace==3){setLocation(getX(),getY()+2);}
        if (jumpingTimer>=4)iplace=15;
        if (jumpingTimer>=8)iplace=16;
        if (jumpingTimer==8&&ymove>0){jumpingTimer++;}else if (jumpingTimer==8&&onGround==true){jumpingTimer=16;}
        if (jumpingTimer>=12)iplace=17;
        if (jumpingTimer==16)iplace=18;
        if (jumpingTimer>=16&&onGround==true){jumpingTimer++; iplace=19;}
        if (jumpingTimer>16)iplace=19;
        if (jumpingTimer>=20)iplace=20;
        if (jumpingTimer>=24){jumpingTimer=0; iplace=0;}
        if (iplace>=14&&iplace<=20&&shootingTimer>0)iplace+=29;
        t=0;
        //Wall Jump Animation
        if (!slide&&slideTimer<10)slideTimer=0;
        if (slideTimer>0&&slideTimer!=9)slideTimer++;
        if (slide&&slideTimer==0)slideTimer=1;
        if (slideTimer>=1)iplace=54;
        if (slideTimer>=5)iplace=55;
        if (slideTimer==9)iplace=56;
        if (slide&&jumpHold){slideTimer=10;}
        if (slideTimer>=10)iplace=57;
        if (slideTimer>=14)iplace=58;
        if (slideTimer>=18)slideTimer=0;
        if (slideTimer>=10&&slideTimer<=18){
            if (slideLeft){
                if (xmove<0)xmove=0;
                xmove+=1;
            }else{
                if (xmove>0)xmove=0;
                xmove-=1;
            }
        }
        if (slideTimer>0&&slideTimer<20)ymove=0;
        if (slideTimer==9){gravityTimer=1; ymove=2;}
        if (iplace>=54&&iplace<=58&&shootingTimer>0)iplace+=5;
        t=0;
        //Recoil Animation
        int prevIplace=iplace;
        if (recoilTimer>0)t=(int)(currentTime-recoilTimer)/cycleRate;
        if (t>=1)iplace=21;
        if (t>=4)iplace=22;
        if (t>=8)iplace=23;
        if (t>=12)iplace=24;
        if (t>=16)iplace=25;
        if (t>=20)iplace=26;
        if (t>=24)iplace=27;
        if (t>=28)iplace=28;
        if (t>=32)iplace=29;
        if (t>=36)iplace=22;
        if (t>=40)iplace=21;
        if (t>=44)recoil=false;
        if (t>0&&recoil==false)iplace=prevIplace;
        if (t>=132)recoilTimer=0;
        t=0;
        //Adjust sprite when shooting
        if (shootingTimer>0&&!slide&&iplace!=31&&iplace!=32){sxa=9;}
        //move back during recoil animation
        if (faceLeft&&recoil==true){xmove=1;}else if(recoil==true){xmove=-1;}
        //Fix offset of idle shooting animation in case of shooting left
        if (faceLeft==true&&iplace==31){image[31]=new GreenfootImage(getSprite(sprites,6,167,36,201));}else{image[31]=new GreenfootImage(getSprite(sprites,7,167,36,201));}
        //Get correct sprite
        GreenfootImage frame = new GreenfootImage(image[iplace]);
        //scale image
        frame.scale(frame.getWidth()+10,frame.getHeight()+10);
        //Adjust Image so player dash sprites don't float in the air
        GreenfootImage image = new GreenfootImage(frame.getWidth()+Math.abs(sxa),frame.getHeight()+Math.abs(sya));//Create image space for sprite offseting
        image.drawImage(frame,sxa,sya);//offset sprite
        //Recoil Blinking
        if (recoilTimer>0)t=(int)(currentTime-recoilTimer)/cycleRate;
        if (t>44&&t%4==0){image=new GreenfootImage(frame.getWidth(),frame.getHeight());}
        //tint image when charging
        if (chargeAmount>0){
            if (chargetinting>=4){chargetinting=1;}else{chargetinting++;}
            if (chargeAmount==1&&chargetinting%4==0)image = tint(0,75,0,frame);
            if (chargetinting%2==0){
                if (chargeAmount==2)image = tint(0,30,100,frame);
                if (chargeAmount==3)image = tint(125,0,125,frame);
            }
        }
        //Mirror image if facing left
        if (faceLeft)image.mirrorHorizontally();
        //Set image method call
        setImage(image);
        //((GridCoordinates)getWorld().getObjects(GridCoordinates.class).get(0)).giveAnimationData(iplace);
    }
    
    boolean slide=false;
    boolean slideLeft=false;
    int slideTimer=0;
    int dustTimer=0;
    public void wallJumping(){
        if (!(ymove==0&&slideTimer==9)&&!onGround&&!wasGrounded&&(collide.indexOf("left")>-1||collide.indexOf("right")>-1)){
             if (ymove>0){
                slide=true;
                slideLeft=faceLeft;
            }
        }else{
            if (slide)faceLeft=!faceLeft;
            slide=false;
        }
        if (slideTimer==9&&ymove>0){dustTimer++;}else{dustTimer=0;}
        if (dustTimer==5){
            dustTimer=0;
            int xs=x+8;
            if (faceLeft)xs=-xs;
            getWorld().addObject(new Dust(0,0),getX()+xs,getY()+y);
        }
    }
    int speed=2;
    public void walking(){
        if (recoil==true)return;
        //Walking
        boolean left=false;
        boolean right=false;
        int speed=2;
        if (debug==true)speed=5; //Increase speed in case of debug mode
        if (Greenfoot.isKeyDown(lmove))left=true;
        if (Greenfoot.isKeyDown(rmove))right=true;
        if (left==true&&right==false){xmove=-speed; faceLeft=true;}
        if (left==false&&right==true){xmove=speed; faceLeft=false;}
        if (left==false&&right==false)xmove=0;
        //Prevent X from walking/falling off the screen
        if (getX()+xmove<0){xmove=0; setLocation(0,getY());}
        if (getX()+xmove>getWorld().getWidth()){xmove=0; setLocation(getWorld().getWidth(),getY());}
        if (getY()+ymove>getWorld().getHeight()){ymove=0; setLocation(getX(),getWorld().getHeight());}
        //***Debug commands***
        if (debug==false)return;
        //Prevent X from going above the screen
        if (getY()+ymove<0){ymove=0; setLocation(getX(),0);}
        //Vertical movement
        boolean up=false;
        boolean down=false;
        if (Greenfoot.isKeyDown(umove))up=true;
        if (Greenfoot.isKeyDown(dmove))down=true;
        if (up==true&&down==false)ymove=-speed;
        if (up==false&&down==true)ymove=speed;
        if (up==false&&down==false)ymove=0;
    }
    
    long dashingTimer=0;
    boolean dashHold=false;
    public void dashing(){
        //System.out.println("dashing() called.");
        long currentTime=System.currentTimeMillis();
        if (recoil==true){dashingTimer=0; return;}
        if (dashingTimer>0&&(currentTime-dashingTimer)/cycleRate<46&&((wasGrounded==false&&onGround==true)||(facedLeft!=faceLeft&&onGround==true)||(!collide.equals("")&&collide.indexOf("up")==-1)||(!Greenfoot.isKeyDown(dashBinding)&&onGround==true))){
            dashingTimer=currentTime-(cycleRate*46);
        }
        if (dashingTimer>0&&(currentTime-dashingTimer)/cycleRate>=50){dashingTimer=0;}
        if ((Greenfoot.isKeyDown(dashBinding)&&onGround==true&&dashHold==false)||(dashHold==true&&onGround==false&&(currentTime-dashingTimer)/cycleRate>45)){
            dashingTimer=currentTime;
            dashHold=true;
        }
        if (dashingTimer>0&&(currentTime-dashingTimer)/cycleRate<46){
            int ds=4;
            if (faceLeft==false){xmove=ds;}else{xmove=-ds;}
            if (onGround==false&&(!Greenfoot.isKeyDown(lmove)&&!Greenfoot.isKeyDown(rmove)))xmove=0;
        }
        if (onGround&&dashHold==true&&!Greenfoot.isKeyDown(dashBinding))dashHold=false;
        facedLeft=faceLeft;
        ((DebugInfo)getWorld().getObjects(DebugInfo.class).get(0)).giveOtherData(System.currentTimeMillis()+"-"+dashingTimer+"="+(System.currentTimeMillis()-dashingTimer)+"/cycleRate="+(System.currentTimeMillis()-dashingTimer)/cycleRate);
        ((DebugInfo)getWorld().getObjects(DebugInfo.class).get(0)).giveBooleanData(dashHold);
    }
    
    long jumpTimer=0;
    boolean jumpHold=false;
    public void jumping(){
        if (recoil==true)return;
        //if (jumpTimer==0&&onGround==false&&!slide)jumpHold=true;
        if ((collide.indexOf("up")>-1&&gravityDirection.equals("down"))||(collide.indexOf("down")>-1&&gravityDirection.equals("up"))||(collide.indexOf("left")>-1&&gravityDirection.indexOf("right")>-1)||(collide.indexOf("right")>-1&&gravityDirection.indexOf("left")>-1))jumpTimer=0;
        if (slide&&Greenfoot.isKeyDown(jumpBinding)&&slideTimer<10&&slideTimer>0){jumpTimer=System.currentTimeMillis(); jumpHold=true;}
        if (Greenfoot.isKeyDown(jumpBinding)&&((jumpHold==false&&onGround)||(jumpTimer>0))){
            ymove=-4;
            if (!jumpHold)jumpTimer=System.currentTimeMillis();
            jumpHold=true;
        }else if(jumpTimer>0&&!Greenfoot.isKeyDown(jumpBinding)&&onGround==false){
            jumpTimer=0;
            ymove=0;
        }else if (jumpHold&&!Greenfoot.isKeyDown(jumpBinding)&&onGround==true){
            jumpHold=false;
        }
        //Slow down at peak of jump
        if (jumpTimer>0&&onGround==false&&(System.currentTimeMillis()-jumpTimer)/cycleRate>=19){ymove=-2; gravityTimer=0.5; jumpTimer=0;}
        ((DebugInfo)getWorld().getObjects(DebugInfo.class).get(0)).giveBooleanData(jumpHold);
    }
    
    long chargeTimer=0;
    int chargeAmount=0;
    int chargeMax=2;
    public void busterUpgrade(int cm){chargeMax=cm;}
    int weapon=0;
    boolean shoot=false;
    public void buster(){
        long currentTime=System.currentTimeMillis();
        shoot=false;
        if (Greenfoot.isKeyDown(attackBinding)&&chargeTimer==0&&chargeAmount==0){shoot=true; chargeTimer=currentTime;}
        if (chargeTimer>0&&(chargeAmount>0&&(currentTime-chargeTimer)/cycleRate>=100||(/*chargeAmount==0&&*/(currentTime-chargeTimer)/cycleRate>=50))){chargeTimer=currentTime; chargeAmount++;}
        if (chargeAmount>=chargeMax){chargeTimer=currentTime;}
        if (!Greenfoot.isKeyDown(attackBinding)&&chargeAmount>0)shoot=true;
        launch();
        if (!Greenfoot.isKeyDown(attackBinding)){chargeTimer=0; chargeAmount=0;}
    }
    public void weapon(int w){weapon=w;}
    public void launch(){
        List shots = getWorld().getObjects(xbullets.class);
        if ((!shots.isEmpty()&&shots.size()>=3)||shoot==false||recoil==true){return;}
        int x;
        int xs=25;
        int ys=-2;
        if (xmove!=0)ys=-4;
        if (dashingTimer>0)ys=1;
        if (!onGround)ys=-8;
        if (slide)ys=-2;
        if ((faceLeft&&!slide)||(slide&&!slideLeft))xs=-xs;
        if (weapon==0){
            if (xs<0){x=-7;}else{x=7;}
            if (chargeAmount==0){getWorld().addObject(new shot1(x),getX()+xs,getY()+ys); return;}
            if (xs<0){xs-=7;}else{xs+=7;}
            if (chargeAmount==1){getWorld().addObject(new shot2(x),getX()+xs,getY()+ys); return;}
            if (xs<0){x=-8;}else{x=8;}
            if (chargeAmount==2){getWorld().addObject(new shot3(x),getX()+xs,getY()+ys-1); return;}
            if (xs<0){}
            if (chargeAmount==3){}
        }
        if (weapon==1){
            if (faceLeft==true){x=-4;}else{x=4;}
            if (chargeAmount<3){getWorld().addObject(new AuraSpinner(x),getX()+xs,getY()+ys); return;}
            if (chargeAmount==3){}
        }
    }
    
    int health; //=getWorld().getHeight()/2-52
    int hpAlter=0;
    int healthChangeAmount=4;
    boolean recoil=false;
    boolean healthMeter=false;
    boolean die=false;
    public void changeHealth(int d){
        if ((d<0&&recoilTimer>0)||(d<0&&debug==true))return;
        if (d<0){
            recoil=true;
            recoilTimer=System.currentTimeMillis();
        }
        hpAlter=d;
    }
    public void changeDirection(boolean left){if (recoilTimer>0){return;}faceLeft=left;}
    
    public void hp(){
        if (world.equals("LevelEditor"))return;
        //Spike Hit Detection
        Actor spike = getAnIntersectingObject(Spike.class);
        Actor spikeSheet=getAnIntersectingObject(SpikeSheet.class);
        if (spike!=null||spikeSheet!=null){
            /*if (collide.indexOf("down")>-1&&collidedActor.getRotation()==0)changeHealth(-30);
            if (collide.indexOf("up")>-1&&collidedActor.getRotation()==180)changeHealth(-30);
            if (collide.indexOf("left")>-1&&collidedActor.getRotation()==270)changeHealth(-30);
            if (collide.indexOf("right")>-1&&collidedActor.getRotation()==90)changeHealth(-30);*/
            changeHealth(-30);
        }
        //Insert Health Meter
        if (healthMeter==false){
            healthMeter=true;
            getWorld().addObject(new HealthMeter(new GreenfootImage("XHealthMeter.png")),30,getWorld().getHeight()/2+17);
            for (int i=getWorld().getHeight()/2+64; i>=getWorld().getHeight()/2-52; i-=4){
                getWorld().addObject(new healthPoint(),30,i);
            }
        }
        //Health Test Cheat
        if (Greenfoot.isKeyDown("p"))hpAlter=-1;
        if (Greenfoot.isKeyDown("o"))hpAlter=1;
        //Health change
        if (hpAlter>0){
            for (hpAlter=hpAlter; hpAlter>0; hpAlter--){
                if (health>=getWorld().getHeight()/2-50){
                    health-=healthChangeAmount;
                    getWorld().addObject(new healthPoint(),30,health);
                }
            }
        }
        if (hpAlter<0){
            for (hpAlter=hpAlter; hpAlter<0; hpAlter++){
                if (health<=getWorld().getHeight()/2+67){
                    List healthPoints = getWorld().getObjectsAt(30,health,healthPoint.class);
                    if (! healthPoints.isEmpty()){
                        Actor healthPoint = (Actor) healthPoints.get(0);
                        getWorld().removeObject(healthPoint);
                    }
                    health+=healthChangeAmount;
                }
            }
        }
        //Detect if X is out of health
        if (health>=getWorld().getHeight()/2+68){die=true;}
        //Kill X if he falls below the screen
        if (getY()>=getWorld().getHeight()-1)hpAlter=-30;
    }
}
